Master Wallet Execute
curl --request POST \
--url https://api.blockradar.co/v2/wallets/{id}/withdraw/fiat/execute \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"paymentMethod": "<string>",
"paymentMethodData": {},
"isGaslessWithdraw": true,
"reference": "wd_20260719_001",
"metadata": {
"payoutId": "payout_123"
},
"note": "Vendor payout",
"provider": "<string>"
}
'import requests
url = "https://api.blockradar.co/v2/wallets/{id}/withdraw/fiat/execute"
payload = {
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"paymentMethod": "<string>",
"paymentMethodData": {},
"isGaslessWithdraw": True,
"reference": "wd_20260719_001",
"metadata": { "payoutId": "payout_123" },
"note": "Vendor payout",
"provider": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: '<string>',
currency: '<string>',
paymentMethod: '<string>',
paymentMethodData: {},
isGaslessWithdraw: true,
reference: 'wd_20260719_001',
metadata: {payoutId: 'payout_123'},
note: 'Vendor payout',
provider: '<string>'
})
};
fetch('https://api.blockradar.co/v2/wallets/{id}/withdraw/fiat/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Successful",
"data": {
"id": "5b26b640-7a15-48aa-a465-82a4cb6e927b",
"reference": "wd_20260719_001",
"senderAddress": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
"recipientAddress": "0123456789",
"tokenAddress": "0xA0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"amount": "100.00",
"amountPaid": "100.00",
"amountUSD": "100.00",
"rateUSD": "1.00",
"fee": "1.50",
"feeUSD": "1.50",
"currency": "NGN",
"toCurrency": "NGN",
"hash": null,
"confirmed": false,
"status": "pending",
"processingStatus": "pending",
"processingProviderReference": null,
"type": "offramp",
"note": "Vendor payout",
"createdAt": "2026-07-19T12:30:00.000Z",
"updatedAt": "2026-07-19T12:30:00.000Z"
}
}Withdraw Fiat
Master Wallet Execute
POST
/
v2
/
wallets
/
{id}
/
withdraw
/
fiat
/
execute
Master Wallet Execute
Authorizations
Path Parameters
Wallet identifier.
Body
application/json
Pattern:
^\d+(\.\d+)?$Required string length:
3Unique client reference used for reconciliation and safe retries.
Example:
"wd_20260719_001"
Your application metadata.
Example:
{ "payoutId": "payout_123" }
Human-readable transaction note.
Example:
"Vendor payout"
⌘I

